## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.14.0
%bcond check 1
%bcond bootstrap 0

%if %{with bootstrap}
%global debug_package %{nil}
%endif

%if %{with bootstrap}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(.*\\)$
%endif

# https://github.com/noborus/ov
%global goipath         github.com/noborus/ov
Version:                0.38.0

%gometa -L -f

%global common_description %{expand:
Feature-rich terminal-based text viewer. It is a so-called terminal pager.}

%global golicenses      LICENSE
%global godocs          docs examples CODE_OF_CONDUCT.md README.md

Name:           ov
Release:        %autorelease
Summary:        Feature-rich terminal-based text viewer

License:        MIT
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep -A
%autopatch -p1

%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

%if %{without bootstrap}
%build
%gobuild -o %{gobuilddir}/bin/ov %{goipath}
%{gobuilddir}/bin/%{name} --completion bash > %{name}.bash
%{gobuilddir}/bin/%{name} --completion fish > %{name}.fish
%{gobuilddir}/bin/%{name} --completion zsh  > %{name}.zsh
%endif

%install
%gopkginstall
%if %{without bootstrap}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
install -Dpm 0644 %{name}.bash %{buildroot}%{bash_completions_dir}/%{name}
install -Dpm 0644 %{name}.fish %{buildroot}%{fish_completions_dir}/%{name}.fish
install -Dpm 0644 %{name}.zsh  %{buildroot}%{zsh_completions_dir}/_%{name}
%endif

%if %{without bootstrap}
%if %{with check}
%check
%gocheck
%endif
%endif

%if %{without bootstrap}
%files
%license LICENSE
%doc docs examples CODE_OF_CONDUCT.md README.md
%{_bindir}/ov
%{bash_completions_dir}/%{name}
%{fish_completions_dir}/%{name}.fish
%{zsh_completions_dir}/_%{name}
%endif

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Packit <hello@packit.dev> - 0.38.0-1
- Update to 0.38.0 upstream release
- Resolves: rhbz#2338792

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.37.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Nov 10 2024 Packit <hello@packit.dev> - 0.37.0-1
- Update to 0.37.0 upstream release
- Resolves: rhbz#2324992

* Fri Jul 26 2024 Packit <hello@packit.dev> - 0.36.0-1
- Update to 0.36.0 upstream release
- Resolves: rhbz#2299993

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.35.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jul 15 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 0.35.0-2
- Add shell completions

* Mon Jul 15 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 0.35.0-1
- Initial package - Closes rhbz#2296618
## END: Generated by rpmautospec
